Class ClientTemplatesRequestBuilder
- Namespace
- Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.ClientTemplates
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\client-templates
public class ClientTemplatesRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderClientTemplatesRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
ClientTemplatesRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new ClientTemplatesRequestBuilder and sets the default values.
public ClientTemplatesRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
ClientTemplatesRequestBuilder(string, IRequestAdapter)
Instantiates a new ClientTemplatesRequestBuilder and sets the default values.
public ClientTemplatesRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
this[string]
Gets an item from the Keycloak.AuthServices.Sdk.Kiota.Admin.admin.realms.item.clientTemplates.item collection
public ClientScopeItemRequestBuilder this[string position] { get; }
Parameters
positionstringUnique identifier of the item
Property Value
Methods
GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Get client scopes belonging to the realm Returns a list of client scopes belonging to the realm
public Task<List<ClientScopeRepresentation>?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
- Task<List<ClientScopeRepresentation>>
A List<global::Keycloak.AuthServices.Sdk.Kiota.Admin.Models.ClientScopeRepresentation>
PostAsync(ClientScopeRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Create a new client scope Client Scope’s name must be unique!
public Task PostAsync(ClientScopeRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyClientScopeRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Get client scopes belonging to the realm Returns a list of client scopes belonging to the realm
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToPostRequestInformation(ClientScopeRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?)
Create a new client scope Client Scope’s name must be unique!
public RequestInformation ToPostRequestInformation(ClientScopeRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyClientScopeRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public ClientTemplatesRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.